stages:
  - package

package:
  stage: package
  image:
    name: alpine/helm:3.0.0-beta.2
    entrypoint: [""]
  variables:
    HELM_EXPERIMENTAL_OCI: '1'
  only:
    - tags
  script:
    - helm registry login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" "$CI_REGISTRY"
    - helm chart save challenge-http "$CI_REGISTRY_IMAGE:$CI_COMMIT_TAG"
    - helm chart save challenge-http "$CI_REGISTRY_IMAGE:latest"
    - helm chart push "$CI_REGISTRY_IMAGE:$CI_COMMIT_TAG"
    - helm chart push "$CI_REGISTRY_IMAGE:latest"
